Update one notification control
/fscmRestApi/resources/11.13.18.05/draftPurchaseAgreements/{draftPurchaseAgreementsUniqID}/child/notificationControls/{NotificationId}
Request
-
NotificationId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
draftPurchaseAgreementsUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Draft Purchase Agreements resource and used to uniquely identify an instance of Draft Purchase Agreements. The client should not generate the hash key value. Instead, the client should query on the Draft Purchase Agreements collection resource in order to navigate to a specific instance of Draft Purchase Agreements to get the hash key.
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
- application/json
object-
Amount: number
Notification amount of purchase agreement document total.
-
Condition: string
Title:
ConditionMaximum Length:80Notification type of the purchase agreement. -
ConditionCode: string
Maximum Length:
25Notification type of the purchase agreement. -
DFF: array
DFF
-
EndDate: string
(date)
Expiration date of the notification.
-
Percentage: number
Notification percentage of purchase agreement document total.
-
ReminderDays: number
Title:
Reminder DaysValue that identifies the number of days before the expiration event that the reminder notification needs to be sent. -
StartDate: string
(date)
Effective date of the notification.
object-
__FLEX_Context: string
Title:
Context PromptMaximum Length:30Context Prompt -
__FLEX_Context_DisplayValue: string
Title:
Context PromptContext Prompt -
NotificationId: integer
(int64)
Response
- application/json
Default Response
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
object-
Amount: number
Notification amount of purchase agreement document total.
-
Condition: string
Title:
ConditionMaximum Length:80Notification type of the purchase agreement. -
ConditionCode: string
Maximum Length:
25Notification type of the purchase agreement. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the notification controls on the purchase agreement. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the buyer or application created the notification controls of a purchase agreement. -
DFF: array
DFF
-
EndDate: string
(date)
Expiration date of the notification.
-
EntityChangeTypeCode: string
Read Only:
trueMaximum Length:1Value that identifies if the row is new or changed. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the buyer or application last updated the notification controls of a purchase agreement. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the notification controls of a purchase agreement. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
NotificationId: integer
(int64)
Read Only:
trueValue that uniquely identifies the agreement notification control. -
Percentage: number
Notification percentage of purchase agreement document total.
-
ReminderDays: number
Title:
Reminder DaysValue that identifies the number of days before the expiration event that the reminder notification needs to be sent. -
StartDate: string
(date)
Effective date of the notification.
arrayLinksobject-
__FLEX_Context: string
Title:
Context PromptMaximum Length:30Context Prompt -
__FLEX_Context_DisplayValue: string
Title:
Context PromptContext Prompt -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
NotificationId: integer
(int64)
arrayLinksobject-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
- DFF
-
Parameters:
- NotificationId:
$request.path.NotificationId - draftPurchaseAgreementsUniqID:
$request.path.draftPurchaseAgreementsUniqID
- NotificationId:
Examples
This example describes how to update one alert.
Note:
- If agreement end date is provided, then expiration alert start date is
defaulted as below logic:
- expiration alert start date= agreement end date - reminder days for expiration alert
- If agreement amount is provided for agreement header, then
underutilized/overutilized alert percentage as per below logic:
- alert percentage= alert amount / header agreement amount
- For an expiration alert, you can provide either the reminder days or the alert start date if an agreement end date is provided.
- For an underutilized/overutilized alert, you can provide either the alert percentage or the alert amount if a header agreement amount is provided.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/draftPurchaseAgreementsUniqID/child/notificationControls/NotificationId"
Examples
Table - Examples
| Example Number | Description |
|---|---|
| Example1 | Update start date on the expiration alert |
| Example2 | Update alert percentage and end days on the overutilized alert |
| Example3 | Update amount and start date on the underutilized alert |
Example 1
Use the following cURL command to submit a request on the REST resource.
curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100648241724/child/notificationControls/300100648238222"
Example1 Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.
{
"StartDate": "2026-11-01"
}
Example1 Response Body
{
"NotificationId": 300100648238222,
"ConditionCode": "EXPIRATION",
"Percentage": null,
"Amount": null,
"StartDate": "2026-11-01",
"EndDate": "2026-12-30",
"ReminderDays": 59,
"CreatedBy": "PRC_INTEGRATION_USER",
"CreationDate": "2026-04-17T10:58:27.001+00:00",
"LastUpdatedBy": "PRC_INTEGRATION_USER",
"LastUpdateDate": "2026-04-17T10:58:27+00:00",
"Condition": "Expiration",
"EntityChangeTypeCode": "I",
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100648241724/child/notificationControls/300100648238222",
"name": "notificationControls",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000278"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100648241724/child/notificationControls/300100648238222",
"name": "notificationControls",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100648241724",
"name": "draftPurchaseAgreements",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100648241724/child/notificationControls/300100648238222/child/DFF",
"name": "DFF",
"kind": "collection"
}
]
}Example 2
Use the following cURL command to submit a request on the REST resource.
curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100648241724/child/notificationControls/300100648238203"
Example2 Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.
{
"Percentage": 75,
"EndDate": "2026-11-01"
}
Example2 Response Body
{
"NotificationId": 300100648238203,
"ConditionCode": "AMOUNT RELEASED",
"Percentage": 75,
"Amount": 1125000,
"StartDate": "2026-01-01",
"EndDate": "2026-11-01",
"ReminderDays": null,
"CreatedBy": "PRC_INTEGRATION_USER",
"CreationDate": "2026-04-17T11:02:22.001+00:00",
"LastUpdatedBy": "PRC_INTEGRATION_USER",
"LastUpdateDate": "2026-04-17T11:02:22+00:00",
"Condition": "Amount Released",
"EntityChangeTypeCode": "I",
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100648241724/child/notificationControls/300100648238203",
"name": "notificationControls",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000278"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100648241724/child/notificationControls/300100648238203",
"name": "notificationControls",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100648241724",
"name": "draftPurchaseAgreements",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100648241724/child/notificationControls/300100648238203/child/DFF",
"name": "DFF",
"kind": "collection"
}
]
}Example 3
Use the following cURL command to submit a request on the REST resource.
curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100648241724/child/notificationControls/300100648250256"
Example3 Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.
{
"Amount": 15000,
"StartDate": "2026-05-01"
}
Example3 Response Body
{
"NotificationId": 300100648250256,
"ConditionCode": "AMOUNT NOT RELEASED",
"Percentage": 1.000,
"Amount": 15000,
"StartDate": "2026-05-01",
"EndDate": "2026-07-01",
"ReminderDays": null,
"CreatedBy": "PRC_INTEGRATION_USER",
"CreationDate": "2026-04-17T11:04:50.001+00:00",
"LastUpdatedBy": "PRC_INTEGRATION_USER",
"LastUpdateDate": "2026-04-17T11:04:50+00:00",
"Condition": "Amount Not Released",
"EntityChangeTypeCode": "I",
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100648241724/child/notificationControls/300100648250256",
"name": "notificationControls",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000278"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100648241724/child/notificationControls/300100648250256",
"name": "notificationControls",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100648241724",
"name": "draftPurchaseAgreements",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/draftPurchaseAgreements/300100648241724/child/notificationControls/300100648250256/child/DFF",
"name": "DFF",
"kind": "collection"
}
]
}